<?xml version="1.0" encoding="utf-8"?>

<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="ContaReceberRepository"
          type="MicroUniverso.Financeiro.Repositorios.ContaReceberRepository, MicroUniverso.Financeiro.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ContaPagarRepository"
          type="MicroUniverso.Financeiro.Repositorios.ContaPagarRepository, MicroUniverso.Financeiro.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="DocumentoOrigemRepository"
        type="MicroUniverso.Financeiro.Repositorios.DocumentoOrigemRepository, MicroUniverso.Financeiro.Repositorios.NH"
        singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="LancamentoCaixaRepository"
          type="MicroUniverso.Financeiro.Repositorios.LancamentoCaixaRepository, MicroUniverso.Financeiro.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="FatoFinanceiroRepository"
        type="MicroUniverso.Financeiro.Repositorios.FatoFinanceiroRepository, MicroUniverso.Financeiro.Repositorios.NH"
        singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
</objects>